package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.AssessApiFallbackFactory;
import com.jeeplus.flowable.factory.JyProjectApiFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(contextId = "jyProjectApi", name = AppNameConstants.APP_JYPROJECT_MODULES, fallbackFactory = JyProjectApiFallbackFactory.class)
public interface IJyProjectApi {

    /**
     * 查询项目一级校审中逾期未发起的项目
     */
    @GetMapping(value = "/jyProject/selectAudit")
    String selectAudit();

    /**
     * 修改一级校审逾期状态
     */
    @GetMapping(value = "/jyProject/updateStatus")
    void updateStatus(@RequestParam(value = "id") String id);

}
